package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[数据实体_数据变更日志类型]
 */
@Component("ionicdemo_DEDataChgLogTypeCodeList")
public class DEDataChgLogTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_DEDataChgLogType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("2");
		item0.setId("2");
		item0.setText("单项数据（同步）");
		item0.setLabel("单项数据（同步）");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("2",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("3");
		item1.setId("3");
		item1.setText("单项数据（含关联数据）（同步）");
		item1.setLabel("单项数据（含关联数据）（同步）");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("3",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("4");
		item2.setId("4");
		item2.setText("单项数据（异步）");
		item2.setLabel("单项数据（异步）");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("4",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("5");
		item3.setId("5");
		item3.setText("单项数据（含关联数据）（异步）");
		item3.setLabel("单项数据（含关联数据）（异步）");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("5",item3);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}